package com.zhongshu.card.client.service.org;

import com.zhongshu.card.client.model.org.DepartmentModel;
import com.zhongshu.card.client.model.org.DepartmentParam;
import com.github.microservice.net.ResultContent;
import com.zhongshu.card.client.utils.ITree;

import java.util.List;

/**
 * @author TRX
 * @date 2024/6/3
 */
public interface DepartmentService {

    public ResultContent addDepartment(DepartmentParam param);

    public ResultContent<List<ITree>> getDepartmentTree(String oid);

    // 查询所有上级部门
    List<DepartmentModel> getParents(String id);

    // 删除部门
    ResultContent deleteDepartment(String id);

}
